## org.w3c.dom.html
Interface HTMLDOMImplementation

All Superinterfaces:
  DOMImplementation

public interface HTMLDOMImplementation
extends DOMImplementation

The `HTMLDOMImplementation` interface extends the `DOMImplementation` interface with a method for creating an HTML document instance.

Since:
  DOM Level 2

Method Summary
`HTMLDocument` `createHTMLDocument(java.lang.String title)` Creates an `HTMLDocument` object with the minimal tree made of the following elements: `HTML` , `HEAD` , `TITLE` , and `BODY` .

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType, getFeature, hasFeature`

Method Detail

### createHTMLDocument

    public HTMLDocument createHTMLDocument(java.lang.String title)

  Creates an `HTMLDocument` object with the minimal tree made of the following elements: `HTML` , `HEAD` , `TITLE` , and `BODY` .
  Parameters:
    `title` - The title of the document to be set as the content of the `TITLE` element, through a child `Text` node.
  Returns:
    A new `HTMLDocument` object.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.